<?php
/**
 * DEC firebase plugin Admin
 *
 * Main admin file which loads all settings panels and sets up admin menus.
 *
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * Welcome Page
 */
include_once( 'includes/welcome.php' );


/**
 * Setup the Admin menu in WordPress
 *
 * @access public
 * @return void
 */
function decfirebase_admin_menu() {
    global $menu;
	
	$main_page = add_menu_page( __( 'Firebase' ), __( 'Firebase' ), 'manage_options', 'decfirebase' , 'decfirebase_user_page', null, '110' );
	
    $decfirebase_user = add_submenu_page( 'decfirebase', __( 'Users', 'decfirebase' ), __( 'Users', 'decfirebase' ), 'manage_options', 'decfirebase', 'decfirebase_user_page');
    $decfirebase_user_notification = add_submenu_page( 'decfirebase', __( 'User Notifications', 'decfirebase' ), __( 'User Notifications', 'decfirebase' ), 'manage_options', 'decfirebase_user_notification', 'decfirebase_user_notification_page');
    $decfirebase_link = add_submenu_page( 'decfirebase', __( 'Links', 'decfirebase' ), __( 'Links', 'decfirebase' ), 'manage_options', 'decfirebase_link', 'decfirebase_link_page');
    $decfirebase_setting = add_submenu_page( 'decfirebase', __( 'Links', 'decfirebase' ), __( 'Settings', 'decfirebase' ), 'manage_options', 'decfirebase_setting', 'decfirebase_setting_page');
	
	$decfirebase_edit_user = add_submenu_page('decfirebase', __( 'Edit user', 'decfirebase' ), __( 'Edit user', 'decfirebase' ), 'manage_options', 'decfirebase_user_edit', 'decfirebase_edit_user_page');
	$decfirebase_new_user_notification = add_submenu_page('decfirebase', __( 'New user notifications', 'decfirebase' ), __( 'New user notifications', 'decfirebase' ), 'manage_options', 'decfirebase_new_notification', 'decfirebase_new_user_notification_page');
	$decfirebase_edit_user_notification = add_submenu_page('decfirebase', __( 'Edit user notifications', 'decfirebase' ), __( 'Edit user notifications', 'decfirebase' ), 'manage_options', 'decfirebase_edit_notification', 'decfirebase_edit_user_notification_page');
}
add_action('admin_menu', 'decfirebase_admin_menu', 9);


function decfirebase_admin_head() {
    remove_submenu_page( 'index.php', 'decfirebase-about');
	
    remove_submenu_page( 'decfirebase', 'decfirebase_user_edit' );
    remove_submenu_page( 'decfirebase', 'decfirebase_edit_notification' );
    remove_submenu_page( 'decfirebase', 'decfirebase_new_notification' );
}
add_action('admin_head', 'decfirebase_admin_head', 9);


function decfirebase_user_page() {
	include_once( 'pages/user.php' );
	do_decfirebase_user();
}
function decfirebase_user_notification_page() {
	include_once( 'pages/user_notification.php' );
	do_decfirebase_user_notification();
}
function decfirebase_link_page() {
	include_once( 'pages/link.php' );
	do_decfirebase_link();
}
function decfirebase_setting_page() {
	include_once( 'pages/setting.php' );
	do_decfirebase_setting_page();
}
function decfirebase_edit_user_page() {
	include_once( 'pages/edit_user.php' );
	do_decfirebase_edit_user();
}
function decfirebase_new_user_notification_page() {
	include_once( 'pages/new_user_notification.php' );
	do_decfirebase_new_user_notification();
}
function decfirebase_edit_user_notification_page() {
	include_once( 'pages/edit_user_notification.php' );
	do_decfirebase_edit_user_notification();
}


/**
 * Include admin scripts and styles.
 *
 * @access public
 * @return void
 */

function decfirebase_admin_css() {
	global $decfirebase;

	wp_enqueue_style( 'decfirebase_admin_styles', $decfirebase->plugin_url() . '/assets/css/admin.css' );
}
add_action( 'admin_print_styles', 'decfirebase_admin_css' );

function decfirebase_admin_scripts() {
}

add_action( 'admin_enqueue_scripts', 'decfirebase_admin_scripts' );
