<?php
/**
 * Admin Links
 *
 * Functions used for displaying and managing all the user account in admin.
 *
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
function do_decfirebase_link() {
	
	$notice_message = $warning_message = '';
	
	
	$decfirebase_url = get_option('decfirebase_url');
	$decfirebase_secrets = get_option('decfirebase_secrets');
	check_firebaseurl_setting($decfirebase_url, $decfirebase_secrets);
	
	
	$sunday_service_url = $decfirebase_url.'app_config/sunday_service.json?auth='.$decfirebase_secrets;
	
	
	if(!empty($_POST)) {
		if(empty($_POST['_wpnonce']) || !wp_verify_nonce($_POST['_wpnonce'], 'decfirebase-link')) {
			die( __('Action failed. Please refresh the page and retry.', 'decfirebase'));
		}
		
		
		//Update sunday_service
		$sunday_service_result = decfirebase_update_data($sunday_service_url, json_encode($_POST['sunday_service']));
		
		
		
		
		if(!$sunday_service_result) {
			$warning_message =  __('Something went wrong, please try again later.', 'decfirebase');
		} else {
			$notice_message =  __('Changes saved.', 'decfirebase');
		}
	}
	
	
	//Get data
	$sunday_service_data = decfirebase_get_data($sunday_service_url);
?>
	<div class="wrap decfirebase">
		<form method="post" id="mainform" action="" enctype="multipart/form-data">
			<?php wp_nonce_field( 'decfirebase-link', '_wpnonce', true, true ); ?>
			
			<h1>DEC Firebase Links</h1>
			
			<?php if(!empty($notice_message)): ?>
			<div class="notice notice-success is-dismissible"> 
				<p><strong><?php echo $notice_message; ?></strong></p>
				<button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button>
			</div>
			<?php endif; ?>
			
			<?php if(!empty($warning_message)): ?>
			<div class="notice notice-warning is-dismissible"> 
				<p><strong><?php echo $warning_message; ?></strong></p>
				<button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button>
			</div>
			<?php endif; ?>
			
			
			<h2 class="title">Sunday Service</h2>
			<table class="form-table">
				<tbody>
					<tr>
						<th scope="row"><label for="sundayServiceKids">Sunday Service Kids</label></th>
						<td>
							<input name="sunday_service[sundayServiceKids][link]" type="text" id="sundayServiceKids" value="<?php echo $sunday_service_data['sundayServiceKids']['link']; ?>" class="regular-text">
						</td>
					</tr>
					<tr>
						<th scope="row"><label for="sundayServiceLive">Sunday Service Live</label></th>
						<td>
							<input name="sunday_service[sundayServiceLive][link]" type="text" id="sundayServiceLive" value="<?php echo $sunday_service_data['sundayServiceLive']['link']; ?>" class="regular-text">
						</td>
					</tr>
					<tr>
						<th scope="row"><label for="sundayServicePray">sundayServicePray</label></th>
						<td>
							<input name="sunday_service[sundayServicePray][link]" type="text" id="sundayServicePray" value="<?php echo $sunday_service_data['sundayServicePray']['link']; ?>" class="regular-text">
						</td>
					</tr>
					<tr>
						<th scope="row"><label for="sundayServiceWeeklyReport">sundayServiceWeeklyReport</label></th>
						<td>
							<input name="sunday_service[sundayServiceWeeklyReport][link]" type="text" id="sundayServiceWeeklyReport" value="<?php echo $sunday_service_data['sundayServiceWeeklyReport']['link']; ?>" class="regular-text">
						</td>
					</tr>
					<tr>
						<th scope="row"><label for="sundayServiceYouth">sundayServiceYouth</label></th>
						<td>
							<input name="sunday_service[sundayServiceYouth][link]" type="text" id="sundayServiceYouth" value="<?php echo $sunday_service_data['sundayServiceYouth']['link']; ?>" class="regular-text">
						</td>
					</tr>
				</tbody>
			</table>
			
			<p class="submit">
				<input name="save" class="button-primary" type="submit" value="<?php _e( 'Save changes', 'decfirebase' ); ?>" />
			</p>
		
		</form>
	</div>
<?php
}