<?php
/**
 * Admin Reports
 *
 * Functions used for displaying sales and customer reports in admin.
 *
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
function do_decfirebase_new_user_notification() {
	
	$notice_message = $warning_message = '';
	
	
	$uid = isset($_GET['uid']) ? sanitize_text_field($_GET['uid']) : '';
	
	
	if(empty($uid)) {
		echo '
		<div class="wrap decfirebase">
			<div class="notice notice-warning"> 
				<p><strong>'.__( 'The user does not exit, please go back and select another notification!', 'decfirebase' ).'</strong></p>
			</div>

			<p class="decfirebase-actions">
				<a href="'.admin_url('admin.php?page=decfirebase').'" class="button button-primary">'.__( 'Firebase User', 'decfirebase' ).'</a>
			</p>
		</div>';
		exit();
	}
	
	
	
	$decfirebase_url = get_option('decfirebase_url');
	$decfirebase_secrets = get_option('decfirebase_secrets');
	check_firebaseurl_setting($decfirebase_url, $decfirebase_secrets);
	
	
	$user_notification_url = $decfirebase_url.'user_notifications/'.$uid.'.json?auth='.$decfirebase_secrets;
	
	
	if ( ! empty( $_POST ) ) {
		$user_notification_data['title']	= isset( $_POST['title'] ) ? sanitize_text_field($_POST['title']) : '';
		$user_notification_data['url']		= isset( $_POST['url'] ) ? sanitize_text_field($_POST['url']) : '';
		$user_notification_data['content']	= isset( $_POST['content'] ) ? sanitize_text_field($_POST['content']) : '';
		$user_notification_data['date']		= date("Y-m-d H:i:s");
		$user_notification_data['readDate']	= '';
		
		$user_notification_data_result = decfirebase_add_data($user_notification_url, json_encode($user_notification_data));
		
		if(!$user_notification_data_result) {
			$warning_message =  __('Something went wrong, please try again later.', 'decfirebase');
		} else {
			$user_notification_update_url = $decfirebase_url.'user_notifications/'.$uid.'/'.$user_notification_data_result.'.json?auth='.$decfirebase_secrets;
			
			$user_notification_data['notificationID'] = $user_notification_data_result;
			decfirebase_update_data($user_notification_update_url, json_encode($user_notification_data));
			
			$notice_message =  __('New notification added. <br><a href="'.admin_url('admin.php?page=decfirebase').'">← Back to Firebase User</a>', 'decfirebase');
		}
	}
	?>
	<div class="wrap decfirebase">
		<form method="post" id="mainform" action="" enctype="multipart/form-data">
			<?php wp_nonce_field( 'decfirebase-link', '_wpnonce', true, true ); ?>
			
			<h1>New firebase user notification</h1>
			
			<?php if(!empty($notice_message)): ?>
			<div class="notice notice-success is-dismissible"> 
				<p><strong><?php echo $notice_message; ?></strong></p>
				<button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button>
			</div>
			<?php endif; ?>
			
			<?php if(!empty($warning_message)): ?>
			<div class="notice notice-warning is-dismissible"> 
				<p><strong><?php echo $warning_message; ?></strong></p>
				<button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button>
			</div>
			<?php endif; ?>
			
			
			<table class="form-table">
				<tbody>
					<tr>
						<th scope="row"><label for="sundayServiceKids">UID</label></th>
						<td>
							<p class="description"><?php echo $uid; ?></p>
						</td>
					</tr>
					<tr>
						<th scope="row"><label for="title">Title</label></th>
						<td>
							<input name="title" type="text" id="title" value="" class="regular-text">
						</td>
					</tr>
					<tr>
						<th scope="row"><label for="url">URL</label></th>
						<td>
							<input name="url" type="url" id="url" value="" class="regular-text">
						</td>
					</tr>
					<tr>
						<th scope="row"><label for="content">content</label></th>
						<td>
							<textarea name="content" id="content" class="large-text code" rows="3"></textarea>
						</td>
					</tr>
					
					
				</tbody>
			</table>
			
			<p class="submit">
				<input name="Add" class="button-primary" type="submit" value="<?php _e( 'Add', 'decfirebase' ); ?>" />
			</p>
			
			<input name="key" type="hidden" value="<?php echo $key; ?>">
		</form>
	</div>
	
	<?php
}