<?php
/**
 * Admin Reports
 *
 * Functions used for displaying all the setting in admin.
 *
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly



function do_decfirebase_setting_page() {
	$message = $decfirebase_url = $decfirebase_secrets = '';
	
	if(!empty($_POST)) {
		if(empty($_POST['_wpnonce']) || !wp_verify_nonce($_POST['_wpnonce'], 'decfirebase-settings')) {
			die( __('Action failed. Please refresh the page and retry.', 'decfirebase'));
		}
		
		
		$decfirebase_url = isset($_POST['decfirebase_url']) ? sanitize_text_field($_POST['decfirebase_url']) : '';
		$decfirebase_secrets = isset($_POST['decfirebase_secrets']) ? sanitize_text_field($_POST['decfirebase_secrets']) : '';
		
		if(!empty($decfirebase_url)) {
			$decfirebase_url = (substr($decfirebase_url, -1) != '/') ? $decfirebase_url.'/' : $decfirebase_url;
		}
		
		update_option('decfirebase_url', $decfirebase_url );
		update_option('decfirebase_secrets', $decfirebase_secrets );
		
		
		$message =  __('Changes saved.', 'decfirebase');
	}
	
	
	$decfirebase_url = get_option('decfirebase_url');
	$decfirebase_secrets = get_option('decfirebase_secrets');
?>

	<div class="wrap decfirebase">
		<form method="post" id="mainform" action="" enctype="multipart/form-data">
			<?php wp_nonce_field( 'decfirebase-settings', '_wpnonce', true, true ); ?>
			
			<h1>DEC Firebase Settings</h1>
			
			<?php if(!empty($message)): ?>
			<div class="notice notice-success is-dismissible"> 
				<p><strong><?php echo $message; ?></strong></p>
				<button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button>
			</div>
			<?php endif; ?>
			
			<table class="form-table">
				<tbody>
					<tr>
						<th scope="row"><label for="decfirebase_url">Firebase realtime database URL</label></th>
						<td>
							<input name="decfirebase_url" type="text" id="decfirebase_url" value="<?php echo $decfirebase_url; ?>" class="regular-text">
							<span class="description">The URL of Firebase realtime database.</span>
							<p class="description">You can find the Firebase realtime database URL by login to <a href="https://firebase.google.com/" target="_blank">Google firebase console</a>.</p>
						</td>
					</tr>
					<tr>
						<th scope="row"><label for="decfirebase_secrets">Firebase realtime database secrets</label></th>
						<td>
							<input name="decfirebase_secrets" type="text" id="decfirebase_secrets" value="<?php echo $decfirebase_secrets; ?>" class="regular-text">
							<span class="description">The secrets of Firebase realtime database.</span>
							<p class="description">You can find the Firebase realtime database secrets by login to <a href="https://firebase.google.com/" target="_blank">Google firebase console</a>.</p>
						</td>
					</tr>
				</tbody>
			</table>
			
			<p class="submit">
				<input name="save" class="button-primary" type="submit" value="<?php _e( 'Save changes', 'decfirebase' ); ?>" />
			</p>
		</form>
	</div>
<?php
}