<?php
/**
 * Admin Users
 *
 * Functions used for displaying and managing all the user account in admin.
 *
 */

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
function do_decfirebase_user() {
	global $decfirebase;
	
	
	$notice_message = $warning_message = '';
	
	
	$decfirebase_url = get_option('decfirebase_url');
	$decfirebase_secrets = get_option('decfirebase_secrets');
	check_firebaseurl_setting($decfirebase_url, $decfirebase_secrets);
	
	
	//Pagination
	$last_user_key = '';
	
	
	$first_page_data = decfirebase_get_user_data($decfirebase->page_size);
?>
	<div class="wrap decfirebase">
		<h1>DEC Firebase Users</h1>
		
		<table class="wp-list-table widefat fixed striped table-view-list posts">
			<thead>
				<tr>
					<th scope="col" class="manage-column">uid</th>
					<th scope="col" class="manage-column">email</th>
					<th scope="col" class="manage-column">firstName</th>
					<th scope="col" class="manage-column">lastName</th>
					<th scope="col" class="manage-column">churchPosition</th>
					<th scope="col" class="manage-column">pastoralGroup</th>
					<th scope="col" class="manage-column">pastoralRole</th>
					<th scope="col" class="manage-column">pastoralZone</th>
					<th scope="col" class="manage-column">shepherdPosition</th>
					<th scope="col" class="manage-column">certifiedMember</th>
					<th scope="col" class="manage-column">fullTimeEmployee</th>
					<th scope="col" class="manage-column" style="width: 150px;">Action</th>
				</tr>
			</thead>

			<tbody id="the-list">
				<?php foreach($first_page_data as $key => $val): ?>
				<tr>
					<td><?php echo $key; ?></td>
					<td><?php echo decfirebase_display_user_field($val['email']); ?></td>
					<td><?php echo decfirebase_display_user_field($val['firstName']); ?></td>
					<td><?php echo decfirebase_display_user_field($val['lastName']); ?></td>
					<td><?php echo decfirebase_display_user_field($val['churchPosition']); ?></td>
					<td><?php echo decfirebase_display_user_field($val['pastoralGroup']); ?></td>
					<td><?php echo decfirebase_display_user_field($val['pastoralRole']); ?></td>
					<td><?php echo decfirebase_display_user_field($val['pastoralZone']); ?></td>
					<td><?php echo decfirebase_display_user_field($val['shepherdPosition']); ?></td>
					<td><?php echo $val['certifiedMember'] ? '<span style="color:green">Yes</span>' : '<span style="color:red">No</span>'; ?></td>
					<td><?php echo $val['fullTimeEmployee'] ? '<span style="color:green">Yes</span>' : '<span style="color:red">No</span>'; ?></td>
					<td class="decfirebase-links">
						<span class="edit"><a href="<?php echo admin_url('admin.php?page=decfirebase_user_edit&key='.$key); ?>">Edit</a></span><br/>
						<span class="edit"><a href="<?php echo admin_url('admin.php?page=decfirebase_user_notification&uid='.$key); ?>">List all notifications</a></span><br/>
						<span class="edit"><a href="<?php echo admin_url('admin.php?page=decfirebase_new_notification&uid='.$key); ?>">Send a notifications</a></span>
					</td>
				</tr>
				<?php
					$last_user_key = $key;
				endforeach;
				?>
			</tbody>
		</table>
		
		<div class="tablenav bottom">
			<div class="actions bulkactions">
			
				<button id="load_more" class="button action">Load more...</button>
				
				<div id="loading_notice" class="decfirebase-message" style="display: none;">
					<p><img src="<?php echo $decfirebase->plugin_url(); ?>/assets/image/loading.gif" /> Loading...</p>
				</div>
				
				<div id="no_data_notice" class="decfirebase-message" style="display: none;">
					<p>No more data...</p>
				</div>
			</div>
			<br class="clear">
		</div>
	</div>
	
	<script>
	jQuery(document).ready(function() {
		var last_user_key = "<?php echo $last_user_key; ?>";
		var admin_url1 = "<?php echo admin_url('admin.php?page=decfirebase_user_edit&key='); ?>";
		var admin_url2 = "<?php echo admin_url('admin.php?page=decfirebase_user_notification&uid='); ?>";
		var admin_url3 = "<?php echo admin_url('admin.php?page=decfirebase_new_notification&uid='); ?>";
		
		jQuery("#load_more").click(function() {
			
			jQuery("#load_more").hide();
			jQuery("#loading_notice").show();
			
			jQuery.getJSON("/?action=decfirebase_user&page_size=<?php echo $decfirebase->page_size; ?>&start_at=" + last_user_key, function( data ) {
				jQuery.each( data, function( key, val) {
					var new_tr = jQuery(
					"<tr>"+
						"<td>" + key + "</td>"+
						"<td>" + val.email + "</td>"+
						"<td>" + val.firstName + "</td>"+
						"<td>" + val.lastName + "</td>"+
						"<td>" + val.churchPosition + "</td>"+
						"<td>" + val.pastoralGroup + "</td>"+
						"<td>" + val.pastoralRole + "</td>"+
						"<td>" + val.pastoralZone + "</td>"+
						"<td>" + val.shepherdPosition + "</td>"+
						"<td>" + (val.certifiedMember ? 'Yes' : 'No') + "</td>"+
						"<td>" + (val.fullTimeEmployee ? 'Yes' : 'No') + "</td>"+
						"<td class=\"decfirebase-links\">" +
							"<span class=\"edit\"><a href=\"" + admin_url1 + key + "\">Edit</a></span><br/>" +
							"<span class=\"edit\"><a href=\"" + admin_url2 + key + "\">List all notifications</a></span><br/>" +
							"<span class=\"edit\"><a href=\"" + admin_url3 + key + "\">Send a notifications</a></span>" +
						"</td>"+
					"</tr>" ).hide();
					
					jQuery("#the-list").append(new_tr);
					new_tr.show();
					
					last_user_key = key;
				});
				
				
				jQuery("#loading_notice").hide();
				
				if(data.length <= 0) {
					jQuery("#no_data_notice").show();
				} else {
					jQuery("#load_more").show();
				}
			});
		});
	});
	</script>
<?php
	
}